#
#       Makefile for uspack
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

ROOTDIR     = ..\..\..
OBJDIR      = ..

FSRC        = usgrph.f ussttl.f usspnt.f uspfit.f usdaxs.f usinit.f \
              usiget.f usiqnp.f uslget.f uslqnp.f usrget.f usrqnp.f \
              uspget.f uspqnp.f uscget.f uscqnp.f usurdl.f usurdt.f \
              usxaxs.f usyaxs.f ususcl.f ususcu.f usxaxu.f usxaxl.f \
              usyaxu.f usyaxl.f usxsub.f usysub.f csblbl.f uschvl.f \
              usxoff.f usyoff.f uszdgt.f uswapz.f usaxcl.f usaxdv.f \
              usaxlb.f usaxlg.f usaxnm.f usaxsc.f uspaxs.f usplbl.f \
              uspnum.f usptmk.f uspttl.f ussaxs.f usxinz.f usyinz.f

FOBJ = $(FSRC:.f=.obj)

!include $(ROOTDIR)\MkInclude.win

build:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=build-exec
build-exec: $(FOBJ)

install:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=install-exec
install-exec-unique:

clean:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=clean-exec
clean-exec-unique:

